Summary:	UML2 tool box for C++, Java, IDL, PHP and Python
Name:		bouml
Version:	4.21
Release:	2%{?dist}
License:	GPLv2+
Group:		Development/Tools
URL:		http://bouml.free.fr/
Source0:	http://downloads.sourceforge.net/bouml/%{name}_%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	hicolor-icon-theme

BuildRequires:	desktop-file-utils
BuildRequires:	qt3-devel

%description
BOUML is a Unified Modeling Language editor for Qt. You can use it to create
nearly all of UML diagrams. BOUML can generate code from those diagrams in
C++, Java, IDL, PHP and Python, and can also reverse existing code.

The program supports class diagrams, sequence diagrams, collaboration
diagrams, object diagrams, use case diagrams, component diagrams, state
diagrams, activity diagrams, component diagrams and deployment diagrams.

The documentation for this package is in %{name}-doc.

%prep
%setup -q -n %{name}_%{version}

%build
# To prevent failure on ppc64 and x86_64.
make %{?_smp_mflags} BOUML_LIB=%{_libdir}/%{name}

%install
rm -rf $RPM_BUILD_ROOT

# To prevent failure on ppc64 and x86_64.
make install BOUML_LIB=%{_libdir}/%{name} DESTDIR=$RPM_BUILD_ROOT

# Symlinks need to be relative.
pushd $RPM_BUILD_ROOT%{_bindir}
  unlink projectControl
  unlink projectSynchro
  ln -s ../%{_lib}/%{name}/projectControl projectControl
  ln -s ../%{_lib}/%{name}/projectSynchro projectSynchro
popd

desktop-file-install --remove-key Encoding --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --remove-key Encoding --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/projectControl.desktop

desktop-file-install --remove-key Encoding --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/projectSynchro.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc historic.html
%doc licence.txt
%{_bindir}/%{name}
%{_bindir}/projectControl
%{_bindir}/projectSynchro
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/applications/fedora-projectControl.desktop
%{_datadir}/applications/fedora-projectSynchro.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/projectControl.png
%{_datadir}/icons/hicolor/16x16/apps/projectSynchro.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/projectControl.png
%{_datadir}/icons/hicolor/32x32/apps/projectSynchro.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/projectControl.png
%{_datadir}/icons/hicolor/48x48/apps/projectSynchro.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/projectControl.png
%{_datadir}/icons/hicolor/64x64/apps/projectSynchro.png

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun May 23 2010 Debarshi Ray <rishi@fedoraproject.org> - 4.21-1
- Version bump to 4.21. (Red Hat Bugzilla #592893)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * In diagrams the context of nested classes now contains the the container
    class when you ask for to indicate the namespace or Java package or Python
    package or module through the drawing setting show context or equivalent.
    This affects existing class diagrams.
  * Add reverse/roundtrip settings with a dedicated edition dialog to specify
    through a regular expression the files and/or directories whose must not
    be taken into account during a reverse and roundtrip, allowing for
    instance to not reverse test programs.
  * New generation settings to choose how the path of the required files are
    generated : without path, with absolute paths, with relative paths, with
    path relative to the root directory.
  * The definition of an external class for PHP has been extended, if a second
    line is present this one is considered to contain the expected
    require_once form to produce.
  * The drawing setting 'show context' has been extended.
  * When several elements of the same type are selected in a diagram the
    multiple selection menu allows you to use the drawing settings of the
    first selected element for the other selected elements.
  * When you edit an attribute or an operation of a parametrized class or
    nested in parametrized class(es) the name of the formal parameters are now
    inserted in the list of proposed types.
  * PHP Generator:
    + Automatically generate the require_once forms when the Php definition of
      an artifact contains ${require_once}. This is the case for new projects,
      you have to add it by yourself if you want this feature in your
      existing projects.
  * Plug-out:
    + Added operations requireOnceWithPath, set_RequireOnceWithPath,
      isRelativePath, set_IsRelativePath, isRootRelativePath and
      set_IsRootRelativePath on class PhpSettings to access the new generation
      settings related to the generation of require_once forms for PHP.
    + Added operations reverseRoundtripDirRegExp,
      isReverseRoundtripDirRegExpCaseSensitive, set_ReverseRoundtripDirRegExp,
      reverseRoundtripFileRegExp, isReverseRoundtripFileRegExpCaseSensitive
      and set_ReverseRoundtripFileRegExp on classes CppSettings, JavaSettings
      and PhpSettings.
  * Translation updates: fr.
  * http://bouml.free.fr/historic.html

* Fri Apr 23 2010 Debarshi Ray <rishi@fedoraproject.org> - 4.20-1
- Version bump to 4.20. (Red Hat Bugzilla #569134)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * A crash could occur when some changes were done on a state present in an
    opened diagram but never visible because of the diagram dimensions and the
    position of the scrollbars. Fixed.
  * Add constraint on activity and activity action.
  * Add interface icon using a simple circle, extends drawing mode with it for
    classes in a class diagram, instances in a sequence diagram and actors in
    a use case diagram. To not change the already existing diagrams, when you
    open an old diagram showing classes stereotyped interface or instances of
    classes stereotyped interface, their drawing mode is forced to class when
    it values natural (even indirectly).
  * Add lost/found messages in sequence diagram.
  * Add the new keyword ${inverse_name} producing the name of the inverse role
    of a bi-directional relation between classes.
  * In a sequence diagram, when an instance doesn't send nor receive message
    the menu of the instance proposes to hide/show the life line. To allow to
    draw a multiple instance with only one visible life line.
  * New option -execnogui. Use it in place of -exec when you don't want to see
    the GUI when you apply a plug-out when Bouml is started. In this case the
    messages normally written in the trace window are produced on stdout. You
    have to kill the process Bouml by yourself if you use -execnogui without
    -exit. 
  * The message written to signal a message can't be added in a sequence
    diagram contained wrong characters. Fixed.
  * When Bouml was closed though a shortcut (control-w by default) while an
    additional window like an artifact source windows was still open, Bouml
    crashed (without any consequence because if needed the previously load
    project was already saved). Fixed.
  * C++ Roundtrip:
    + Do not empty the stereotypes when this is possible.
  * Java Generator:
    + Do not duplicate imports both defined in artifact definition and through
      dependencies.
    + When a nested class reference was produced the container classes' names
      were missing and only the nested class' name was generated. Fixed.
  * Java Roundtrip:
    + Do not empty the stereotypes when this is possible.
  * Python Generator:
    + Extends the auto generated import to the classes referenced by the
      attributes, associations and operations.
    + When a nested class reference was produced the container classes' names
      were missing and only the nested class' name was generated. Fixed.
  * State Machine Generator:
    + Add the operation doActivity() on the class representing the state
      machine. When this operation is applied the do activity of the current
      state is executed if it is not empty.
  * Translation updates: de, es and fr.
  * http://bouml.free.fr/historic.html

* Sat Feb 14 2010 Debarshi Ray <rishi@fedoraproject.org> - 4.18.2-1
- Version bump to 4.18.2. (Red Hat Bugzilla #538774)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * A crash could occured when some changes were done on relations used by
    'modelled' class instances (non pure graphical class instances) or a
    project defining 'modelled' class instances was reloaded. Fixed.
  * A crash occured when loading an inconsistent model where two operations
    share the same internal buffer. Fixed.
  * Add related elements did nothing in a use case or deployment diagram.
    Fixed.
  * Forbidden to add a flow from an action to an object base whose
    'is control' is false. Fixed.
  * In a state diagram, when an element was added and it was automatically
    moved to be placed in its container, its self relations didn't follow it
    and their cut points were placed poorly. Fixed.
  * It is now possible to have a class diagram under a use case or a use case
    view, this allows to define Iconix robustness diagram throw class diagram.
  * The boxes representing the class instances were not produced in SVG when
    you didn't ask for to draw the shadows and they aren't transparent. Fixed.
  * The class instances weren't colored when you asked to not draw the shadow
    in a sequence or communication diagrams. Fixed.
  * When a shortcut was added the control/shift/alt indicators were removed
    when the key was specified in case the current line was the last. Fixed.
  * When you manually resized an element in a diagram its self relations may
    be hidden depending on the position of the self relation and the used
    corner. Fixed.
  * C++ Reverse:
    + For compatibility with the C++ roundtrip, the #file property is obtained
      from the project package rather than in the package where a reverse was
      started. To set the C++ source and header directory for the packages
      created during the reverse, try to use path relative to root directory
      if it is defined in the generation settings.
    + The instantiation of a template class inside the declaration or the
      definition of its operations were reversed as the class itself (without
      actuals). Fixed.
  * Java Catalog:
    + To set the Java directory for the packages created during the reverse
      even without associated Java package, try to use path relative to root
      directory if it is defined.
  * Java Reverse:
    + To set the Java directory for the packages created during the reverse
      even without associated Java package, try to use path relative to root
      directory if it is defined.
  * Java Roundtrip:
    + To set the Java directory for the packages created during the reverse
      even without associated Java package, try to use path relative to root
      directory if it is defined.
  * UML Projection:
    + Projection to C++ missed to set C++ header definition on already
      existing artifacts. Fixed.
  * XMI2 Generator:
    + Replaced newline by space in relation's name.
    + The post-condition of an activity action was not exported, and the
      pre-condition wasn't exported when the post-condition was empty. Fixed.
  * Translation updates: de, es and fr.
  * http://bouml.free.fr/historic.html

* Sat Jan 28 2010 Debarshi Ray <rishi@fedoraproject.org> - 4.16.4-1
- Version bump to 4.16.4. (Red Hat Bugzilla #538774)
  * Facilitates the adding in a diagram of a incoming/outgoing line
    (transition, flow ...) to/from a small item already having lines.
  * When you moved a decentered line having a geometry, the attached labels
    (name, stereotype ...) could be moved more than expected. Fixed.
  * Facilitates the selection in diagrams of small items having incoming
    and/or outgoing lines.
  * When you add an element in a state diagram and its state container is
    already drawn, force the added element to be inside its state container
    or region. When you add a state the already draw sub elements are moved
    to be inside the added state, but because the added state is small this
    poorly place them.
  * You can now decenter lines (relations, transition ...) having a geometry,
    when you change the geometry the line is first recentered on both
    extremities.
  * C++ Generator:
    + A space was missing between the two last > in an inheritance of a
      template class when the last actual is also a template class. Fixed.
  * http://bouml.free.fr/historic.html

* Sat Nov 14 2009 Debarshi Ray <rishi@fedoraproject.org> - 4.16.2-1
- Version bump to 4.16.2. (Red Hat Bugzilla #525932)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * Allows to import a project as a library. A project imported as a library
    can't be modified in the importing project, but it can be updated to
    follow changes done in the imported project.
  * It is now possible to show/hide the visibility of the relations between
    classes depending on the value of the drawing settings show relation
    visibility. By default the visibility of the relations of not shown.
  * Messages in a sequence diagram can now be stereotyped (by textual
    stereotype out of profile). Default message stereotypes can be set through
    the default stereotype dialog.
  * It is now possible to ask for to draw a decomposition indicator icon in a
    state in a state diagram. By default the icon is not shown.
  * The parent of a state, pseudo state and region can be changed through
    drag & drop in the browser while staying inside the container state
    machine.
  * In activity diagrams the stereotype of an action is now written, except
    for opaque actions when you ask for to show their definition through the
    drawing settings.
  * Except for a few exceptions, when resizing elements like classes the edge
    didn't follow the cursor. Fixed.
  * It was difficult to select a line drawn between an element to an other
    element placed inside the first one (for instance between a state machine
    and a sub state drawn inside its state machine). Fixed.
  * Plug-out:
    + Manage stereotype on messages in a sequence diagram.
  * Project Control:
    + Manage projects imported as a library.
  * XMI2 Generator:
    + Export stereotype of messages through an extension.
  * Translation updates: fr and de.
  * http://bouml.free.fr/historic.html

* Sat Sep 19 2009 Debarshi Ray <rishi@fedoraproject.org> - 4.14-1
- Version bump to 4.14. (Red Hat Bugzilla #512401)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * When a package was deleted from a plug-out the container package was not
    marked modified and was not saved without an other reason marking it
    modified, and an error occured on reloading the project. Fixed.
  * It is not possible to resize the classes drawn with the standard
    representation (not using an icon) in a class diagram.
  * New drawing setting "hide get/set operations" to apply on 'official' get
    and set operations in class diagrams. The get/set operations are shown by
    default.
  * New C++ generation setting "inline force include in header" to include
    headers defining types referenced in inline operations. This switched on
    by default for older projects, but turned off for new ones.
  * http://bouml.free.fr/historic.html

* Fri Jul 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 4.13-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 04 2009 Debarshi Ray <rishi@fedoraproject.org> - 4.13-1
- Version bump to 4.13.
  * Added active on activity, class and state.
  * Browser search can now search for elements depending on their stereotype.
  * Duplicating a state caused a crash. Fixed.
  * Made it easier to select small elements connectd to a line in a diagram.
  * When an attribute or operation of a class was deleted from a plug-out,
    the drawing of the class was not updated in already opened diagrams.
    Fixed.
  * C++ Generator:
    + A dependency stereotyped as friend produced wrong code in case the
      target class was a template. Fixed.
  * Java Roundtrip:
    + New plug-out.
  * Plug-out:
    + A crash occured when upgrading an old plug-out without Python
      management. Fixed.
    + Added operations isActive and set_isActive to UmlBaseActivity,
      UmlBaseClass and UmlBaseState.
    + Added operations isPython_3_operation and set_IsPython_3_operation to
      PythonSettings.
    + Internal plug-out API extended for Java Roundtrip, and type
      specification of function's parameters and return values. All plug-outs
      updated to use the new API.
    + The operation importProject has been added to UmlBasePackage, which
      returns the UmlPackage corresponding to the imported project or null in
      case of an error.
  * Python Generator:
    + All the lines of a docstring are indented according to PEP-0257.
    + Manage type specification of function's parameters return values
      according to PEP-3107.
  * XMI Generator:
    + When a parameter of an operation doesn't have type the token
      UML:Parameter was not closed. Fixed. 
  * XMI2 Generator:
    + The base type of a class stereotyped typedef is now produced in an
      extension form supposing you ask for them.
  * http://bouml.free.fr/historic.html

* Wed Apr 08 2009 Debarshi Ray <rishi@fedoraproject.org> - 4.12.1-1
- Version bump to 4.12.1.
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * Python Generator:
    + When a class referenced another one placed in the same python package,
      the python code generator wrongly produced <artifact name>.<class name>
      rather than <package name>.<artifact name>.<class name>. Fixed.
  * XMI2 Generator:
    + When an association is defined between a class and an actor, an
      unexpected and inconsistent attribute was generated. Fixed. 
  * When a class associated with a relation (for instance in case of a class
    relation) is deleted, the plug-out API operation
    UmlRelation::association() wrongly returned the deleted class. Fixed.
  * In a diagram when two elements were linked by a line (whatever it
    represented) and one of the elements contained the other one, the line was
    not drawn. This was mainly a problem in case of high-level transition from
    a composite state with a target inside the composite state. Fixed.
  * Changing the geometry of a junction between two instances in a
    communication diagram, without supporting a message, using the menu,
    produced a crash. Fixed.
  * Duplicating an activity might produce a crash. Fixed.
  * When any colour is assigned to an activity partition in horizontal display
    mode, closing and re-opening the diagram produced an error message and a
    part of the diagram was lost. Fixed.
  * In a state diagram it was possible to resize choices by selecting them
    with other elements and doing a resize. Ditto for decision and merge in an
    activity diagram. Fixed.
  * The virtual desktop set through the environment dialog was not taken into
    account. Fixed.
  * Added new US diagram formats: letter, legal, tabloid, letter landscape,
    legal landscape and ledger.
  * It is now possible to add marked elements in class, use case, component
    and deployment diagrams though the diagram menu entry add marked elements.
  * It is now possible to add related elements in diagram for a class, use
    case, package, component, artifact and deployment node. A related element
    is an element having a relation with the current element which can be
    shown in the current diagram and part of the browser.
  * http://bouml.free.fr/historic.html
- glibc-2.10 fixes accepted by upstream.

* Mon Feb 23 2009 Release Engineering <rel-eng@fedoraproject.org> - 4.11-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Debarshi Ray <rishi@fedoraproject.org> - 4.11-1
- Version bump to 4.11.
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * XMI2 Import and XMI2 Generator:
    + Forms produced / expected for provided and required interfaces and for
      realizing classes were not the right ones. Fixed.
    + Importing of forms produced by previous releases is not managed.
  * A crash might occur when the drawing setting is changed depending on the
    changes made before. Fixed.
  * In an activity, when an element was created through an activity diagram
    placing the element directly on a partition, this element was wrongly
    nested in the partition in the browser, and it was impossible to reload
    the project. Fixed.
  * The modeler entered in an infinite loop when it is attempted to change the
    geometry of an extension (uni directional association from a
    stereotype-class to a meta class). Fixed.
  * When a class present in at least two of the provided required and
    realizing lists of a component was deleted, and the model was saved and
    reloaded, the model became inconsistent and a crash could occur. Fixed.
  * Validating the edition of a relation whose first role is read only and
    without property (tagged value) produced a crash. Fixed.
  * http://bouml.free.fr/historic.html
- Fixed build failure with glibc-2.10.

* Sat Nov 22 2008 Debarshi Ray <rishi@fedoraproject.org> - 4.8.3-1
- Version bump to 4.8.3. (Red Hat Bugzilla #472408)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * Modification of some generation settings through a plug-out could produce a
    crash. Fixed. Plug-outs need to be fixed with plug-out upgrade.
  * A crash occured when only one language was selected and the parameters list
    of an operation defined for an actor placed in a use case or a use case
    view was modified. Fixed. 
  * Plug-outs need to be modified to use the meta classes and extensions
    rather than the properties stereotypeExtension on the stereotypes.
  * http://bouml.free.fr/historic.html
- Shortened summary to suit PackageKit's UI.

* Sat Sep 06 2008 Debarshi Ray <rishi@fedoraproject.org> - 4.5-1
- Version bump to 4.5. (Red Hat Bugzilla #460528)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * Loading a project containing a modelled class instance (part of the
    browser) having a deleted (in a previous session) modelled class instance
    as a relation value instance might cause a crash. Fixed.
  * Loading a project containing modelled class instances (part of the
    browser) specifying values for relations might cause a crash. Fixed. 
  * http://bouml.free.fr/historic.html

* Sun Jun 15 2008 Debarshi Ray <rishi@fedoraproject.org> - 4.3.5-1
- Version bump to 4.3.5. (Red Hat Bugzilla #448520)
  * http://bouml.free.fr/historic.html

* Wed May 14 2008 Debarshi Ray <rishi@fedoraproject.org> - 4.3.3-1
- Version bump to 4.3.3. (Red Hat Bugzilla #445908)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * Plug-out:
    + In class UmlBasePackage, the operations findNamespace, findPackage and
      findModule have been renamed to findCppNamespace, findJavaPackage and
      findIdlModule. Modify your plug-outs to use the new names.
  * http://bouml.free.fr/historic.html

* Sun Apr 06 2008 Debarshi Ray <rishi@fedoraproject.org> - 4.2-2
- Replaced 'BuildRequires: qt-devel' with 'Buildrequires: qt3-devel' on all
  distributions starting from Fedora 9. (Red Hat Bugzilla #440750)

* Fri Feb 22 2008 Debarshi Ray <rishi@fedoraproject.org> - 4.2-1
- Version bump to 4.2. (Red Hat Bugzilla #434284)
  * Introduced Python support.
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * A class can now be drawn as a class (without members), or using boundary,
    control or entity icon in a use case diagram.
  * The name of use case is not anymore a separated label and the size of an
    actor now depends on its name, so, the position of the incoming and
    outgoing arrows and the position of the name will be impacted.  
  * http://bouml.free.fr/historic.html

* Tue Feb 19 2008 Release Engineering <rel-eng@fedoraproject.org> - 3.5-2
- Autorebuild for gcc-4.3.

* Wed Jan 16 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.5-1
- Version bump to 3.5. (Red Hat Bugzilla #428840)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * http://bouml.free.fr/historic.html

* Fri Dec 21 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.4-1
- Version bump to 3.4. (Red Hat Bugzilla #426485)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * http://bouml.free.fr/historic.html

* Thu Nov 29 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.3.3-1
- Version bump to 3.3.3. (Red Hat Bugzilla #398811)
  * http://bouml.free.fr/historic.html
- Fixed usage of _remove_encoding to prevent failure on Fedora 7.

* Sun Nov 25 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.3.1-2
- Removed Encoding from Desktop Entry for all distributions, except Fedora 7.

* Tue Nov 13 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.3.1-1
- Version bump to 3.3.1.
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * http://bouml.free.fr/historic.html
- Removed Encoding from Desktop Entry.

* Sun Nov 04 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.0.2-1
- Version bump to 3.0.2. (Red Hat Bugzilla #326641)
  * Introduced PHP support.
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * http://bouml.free.fr/historic.html
- Backported bug-fix from 3.3.

* Thu Oct 11 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.32-1
- Version bump to 2.32. (Red Hat Bugzilla #303721)
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * http://bouml.free.fr/historic_old.html

* Wed Oct 03 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.31.3-1
- Version bump to 2.31.3. (Red Hat Bugzilla #292541)
  * http://bouml.free.fr/historic_old.html

* Fri Sep 14 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.31.2-1
- Version bump to 2.31.2. (Red Hat Bugzilla bug #286661)
  * http://bouml.free.fr/historic_old.html

* Thu Sep 06 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.31.1-1
- Version bump to 2.31.1.
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * http://bouml.free.fr/historic_old.html

* Wed Aug 22 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.30.2-1
- Version bump to 2.30.2.
  * http://bouml.free.fr/historic_old.html
- Cleaned up SPEC.

* Sat Aug 04 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.30.1-1
- Version bump to 2.30.1.
  * http://bouml.free.fr/historic_old.html
- Changed value of License according to Fedora licensing guidelines.
- Executable bits turned off for C++ sources by upstream.
- Application removed from Categories by upstream.

* Thu Aug 02 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.30-1
- Version bump to 2.30.
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * http://bouml.free.fr/historic_old.html
- Removed Application from Categories.

* Sun Jul 29 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.29.1-3
- Fixed build and install stanza to prevent failure on ppc64 and x86_64.
- Added 'Requires: hicolor-icon-theme'.
- Fixed 'gtk-update-icon-cache' in the post[un] scriptlets.
- Removed 'update-desktop-database' from the post[un] scriptlets.

* Fri Jul 27 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.29.1-2
- Modified the summary.
- Replaced lib with _lib.

* Fri Jul 27 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.29.1-1
- Version bump to 2.29.1.
  * http://bouml.free.fr/historic_old.html

* Sun Jul 08 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.29-1
- Version bump to 2.29.
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * http://bouml.free.fr/historic_old.html

* Wed Jun 29 2007 Debarshi Ray <rishi@fedoraproject.org> - 2.27-1
- Initial build.
  * Previous releases can not read a project saved with this version, but
    projects made by previous releases can be read.
  * http://bouml.free.fr/historic_old.html
